Gentoo

dragonion

Добрый дракон
Ну, на сайтах я смотрел и на форумах - довольно непонятное сложилось мнение. А вообще, вопрос неправильно был поставлен. Ведь у каждого дистра свои плюсы.

Спасибо за совет и за ответ. Кстати, в ходе чтения документации по установке вопрос отпал сам собой =)
Так что на еще одного юзера Генты станет больше. =)
 

Rio

<h3><b>Free... Yeah!
Ответ: Gentoo

Люди. Такая проблема. Система собиралась на сата винте.
Разделы:
/dev/sdb1 -- MS Windows
/dev/sdb5 -- boot
/dev/sdb6 -- swap
/dev/sdb7 -- root

После перезагрузки при выборе в грабе Gentoo Linux он выдает некую ошибку 22: нет такой партиции root hd(1,4)

мой grub.conf (может что я не так прописал)

Код:
default 0
timeout 30

title=Gentoo Linux 2.6.22
root (hd1,4)  #ибо вроде как /dev/sdb5 должен так выглядеть. ему именно этот момент не нравиццо, что сдесь не так?
kernel /boot/kernel-2.6.22 root=/dev/sdb7


title=Microsoft Windows XP RUS
rootnoverify (hd1,0) # винда грузиццо намано
makeactive
chainloader +1
хелп плз :help:
 

akick

letter to god
Ответ: Gentoo

Люди. Такая проблема. Система собиралась на сата винте.
Разделы:
/dev/sdb1 -- MS Windows
/dev/sdb5 -- boot
/dev/sdb6 -- swap
/dev/sdb7 -- root

После перезагрузки при выборе в грабе Gentoo Linux он выдает некую ошибку 22: нет такой партиции root hd(1,4)

мой grub.conf (может что я не так прописал)

Код:
default 0
timeout 30

title=Gentoo Linux 2.6.22
root (hd1,4)  #ибо вроде как /dev/sdb5 должен так выглядеть. ему именно этот момент не нравиццо, что сдесь не так?
kernel /boot/kernel-2.6.22 root=/dev/sdb7


title=Microsoft Windows XP RUS
rootnoverify (hd1,0) # винда грузиццо намано
makeactive
chainloader +1
хелп плз :help:
hd - ata sd - sata :D
 

Michael

Well-Known Member
Команда форума
Администратор
Ответ: Gentoo

нет
у меня только сата винты, везде прописано hd
но hdX -ATA, sdX - SATA

После перезагрузки при выборе в грабе Gentoo Linux он выдает некую ошибку 22: нет такой партиции root hd(1,4)
в режиме командной строки у него есть полезная штука - нажимаешь таб и он высвечивает список доступных партиций
можно набрать, например "rootnoverify (" , выбрать диск и после нажать таб

p.s. груб видит диск с которого он грузится как hd0
так что смени root (hd1,4) на root (hd0,4)
 

Rio

<h3><b>Free... Yeah!
Ответ: Gentoo

нет
у меня только сата винты, везде прописано hd
но hdX -ATA, sdX - SATA


в режиме командной строки у него есть полезная штука - нажимаешь таб и он высвечивает список доступных партиций
можно набрать, например "rootnoverify (" , выбрать диск и после нажать таб

p.s. груб видит диск с которого он грузится как hd0
так что смени root (hd1,4) на root (hd0,4)
Оно :) Спасибо. Тока еще один момент был, но я его быстро устранил. Под Лайв СД винт был sdb, а в уже загруженой системе он виделся как hdg. Пришлось весь фстаб переписывать. ВотЪ.
 

Стася

Загадка
Ответ: Gentoo

Так:
Ставим необходимый софт:

# USE="-mppe-mppc" emerge -av net-dialup/ppp
# USE="-tcltk" emerge -av net-dialup/pptpclient

Пишем в /etc/conf.d/net:

config_ppp0=( "ppp" )
link_ppp0="pty 'pptp 10.0.0.8 --nolaunchpppd'"
username_ppp0='логин'
password_ppp0='пароль'
pppd_ppp0=(
"updetach"
"refuse-eap"
"refuse-chap"
"noauth"
"defaultroute"
"lcp-echo-interval 15"
"lcp-echo-failure 3"
)
depend_ppp0(){
need net.eth0
}

добавляем службы:

# cd /etc/init.d
# rm net.ppp0
# ln -s net.lo net.ppp0
# rc-update add net.ppp0 default
# /etc/init.d/net.eth0 restart
# /etc/init.d/net.ppp0 start
 

Bess

ъ
Ответ: Gentoo

если компьютер старый, то ставить генту с исходников тупо безсмыслено, прирост производительности не будет заметен.
 

MAKCIM

radioamator
Доброго времени суток
Gentoo ставлю впервые, возник вопрос при настройке параметров компиляции
В /etc/make.conf переменная выбор параметра оптимизации CFLAGS
Имеем процессор Intel Celeron 2.53 поддерживаемые инструкции MMX,SSE,SSE2,SSE3,EM64T.
В make.conf.example нашел два подходящих параметра:
prescott Intel Pentium4 with MMX, SSE, SSE2 and SSE3.
nocona Intel Pentium4 with 64-bit extensions, MMX, SSE, SSE2,SSE3
Что выбрать? стоит ли собирать под 64-bit или все же остаться на 32-bit?
Зарание спасиба
 

Michael

Well-Known Member
Команда форума
Администратор
под 64 собирать не стоит, проблем много будет
cat /proc/cpuinfo - инфо о процессоре и поддерживаемых инструкциях (чтобы правильно выбрать оптимизации)
 

oakim

New Member
HIVE home # sh ati-driver-installer-8-10-x86.x86_64.run
Created directory fglrx-install.oOASZP
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.542...........................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
ATI Technologies Linux Driver Installer/Packager
==================================================
which: no XFree86 in (/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin:/opt/bin:/usr/kde/3.5/sbin:/usr/kde/3.5/bin:/usr/qt/3/bin)

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.27-gentoo; make sure that the version is being
correctly set by --iscurrentdistro

Removing temporary directory: fglrx-install.oOASZP
HIVE home #
подскажите чё надо сделать чтоб поставить эти дрова.....
думаю что инсталер не может полность определить систему....но как ему помоч?
мож кто сталкивался?
 

oakim

New Member
Хм, а почему не через #emerge ati-drivers?
таже проблема
уже решил
вощем суть была в том что атишные дрова не работали с xorg-server-1.5.2
решилось установкой более ранней версии
 
Верх